Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045338
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2020-10-29 20:192020-11-04 11:40
ReporterMery AneloView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionPR20Q3SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045338: By deactivating any registration in the tax zone, you can get this tax if the business partner belongs to that country

DescriptionIs necessary fix this issue because the following issue is affected by this one. Related to the issue: https://issues.openbravo.com/view.php?id=39951 [^]

(In english)

By deactivating a country from the tax zone (tab of the window Tax Rate) and creating an sales invoice for a business partner who has that country at their address, you still can get the deactivated tax rate.
For example, in the aforementioned case the UK country is deactivated from the taxes related to the European Union since it will no longer belong to it. Brexit: https://www.agenciatributaria.es/AEAT.internet/Inicio/La_Agencia_Tributaria/Campanas/BREXIT/BREXIT.shtml [^]
In the "Sales Invoices" windows, when chose a service in the lines must obtain the "International Services rendered" tax for services, however, you continue to obtain a tax related to the EU even though it was deactivated.

(En español)

Al desactivar un país de la zona de impuestos (ventana propia de impuestos) y crear una factura para un tercero que posea en su dirección dicho país podrá conseguir el registro desactivado.
Por ejemplo, en el caso mencionado el país UK es desactivado de los impuestos relacionados a la Unión Europea ya que el mismo ya no pertenecera a ella. Brexit: https://www.agenciatributaria.es/AEAT.internet/Inicio/La_Agencia_Tributaria/Campanas/BREXIT/BREXIT.shtml [^]
Dentro de las facturas (cliente), al hacerlo debe conseguir para servicios el impuesto "Servicios prestados internacional", sin embargo, continua consiguiendo un impuesto relacionado a la UE a pesar de que el mismo fue correctamente desactivado.
Steps To Reproduce(See the attached video)

- Install the versión 1.2.1800 of the module "Taxes: configuration for Spain (Impuestos para España)"
- Go to "Enterprise module management" windows and execute the references.
- Configure organization, Product (as services) and Bussines Parter with UK address.
- Make a Sales invoice.
- Select the product (of the services category) and see the tax set by the callout is "Servicios prestados UE (%N=>0%)" (Which is disabled for UK) and should by "Servicios prestados internacional (%N=>0%)"
Proposed SolutionSee the attached patch for the function c_gettax.
TagsNo tags attached.
Attached Files? file icon Issue.mp4 [^] (3,139,560 bytes) 2020-10-29 20:19
diff file icon issue-deactivate-UK.diff [^] (926 bytes) 2020-10-29 20:20 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0045367PR20Q4 closedvmromanos Openbravo ERP By deactivating any registration in the tax zone, you can get this tax if the business partner belongs to that country 
depends on backport 0045368PR20Q3.2 closedvmromanos Openbravo ERP By deactivating any registration in the tax zone, you can get this tax if the business partner belongs to that country 
depends on backport 0045369PR20Q2.3 closedvmromanos Openbravo ERP By deactivating any registration in the tax zone, you can get this tax if the business partner belongs to that country 
blocks feature request 0039951 closedMery Anelo Localization Pack: Spain Brexit - Consider the United Kingdom as a third country in the "Tax zone" tab 

-  Notes
(0124028)
Mery Anelo (reporter)
2020-10-29 20:27

Additionally, take into account the following issue: https://issues.openbravo.com/view.php?id=44351 [^] which deactivates the UK as an EU country
(0124141)
vmromanos (developer)
2020-11-04 08:47

Test plan:

# Sales Flow
Login to F&B Client
Go to Business Partner window and search for "Alimentos y Supermercados"
Go to Location/Address tab and edit the address. Change country from Spain to United Kingdom.
Go to Sales Invoice and create new record for that business partner.
Create new line for 1 unit of "Agua sin Gas 1L". Verify the proposed tax is "Entregas intracomunitarias (%N=>0%)"
Now browse to that tax and in Tax Zone tab search for the record with Destination Country = United Kingdom and set active = No. Save it.
Go back to the previous invoice, delete the line and create a new one for the same product. Verify the system is unable to find a tax candidate.
Go to Tax Rate window again and create a new record:
  Name: X-Sales
  Valid from Date: 01-01-2015
  Tax Category: IVA Normal
  Rate: 0
  Sales/Purchase Type: Sales Tax
  Country: Spain
  Destination Country: United States
In Tax Zone create a new record with From Country = Spain and Destination Country = United Kingdom. Set it as active.
Go back to the previous invoice, delete the line and create a new one for the same product. Verify the system proposes the new tax.
Now browse to that tax and in Tax Zone tab search for record with Destination Country = United Kingdom and set active = No. Save it.
Go back to the previous invoice, delete the line and create a new one for the same product. Verify the system is unable to find a tax candidate.


# Purchase Flow
Go to Business Partner window and search for "Bebidas Alegres"
Go to Location/Address tab and edit the address. Change country from Spain to United Kingdom.
Go to Tax Rate window and create a new record:
  Name: X-Purchase
  Valid from Date: 01-01-2015
  Tax Category: IVA Normal
  Rate: 0
  Sales/Purchase Type: Purchase Tax
  Country: United States
  Region: empty
  Destination Country: Spain
In Tax Zone create a new record with From Country = United Kingdom and Destination Country = Spain. Set it as active.
Go to Purchase Invoice and create new record for that business partner.
Create new line for 1 unit of "Cerveza Ale 0,5L". Verify the proposed tax is the new X-Purchase tax rate.
Browse to that tax rate, and in Tax Zone deactivate the UK record and save it.
Go back to the purchase invoice, delete and create a new line for the same product. Verify the system proposes another tax rate.
(0124150)
hgbot (developer)
2020-11-04 11:06

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/215 [^]
(0124155)
hgbot (developer)
2020-11-04 11:40

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/215 [^]
(0124156)
hgbot (developer)
2020-11-04 11:40

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: f67e55fe00f53a4ceb4b4d15f48c4a89ee179bf3
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 2020-11-04T10:40:44+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/f67e55fe00f53a4ceb4b4d15f48c4a89ee179bf3 [^]

Fixed BUG-45338: Filter by active tax zone in C_GETTAX

---
M src-db/database/model/functions/C_GETTAX.xml
---

- Issue History
Date Modified Username Field Change
2020-10-29 20:19 Mery Anelo New Issue
2020-10-29 20:19 Mery Anelo Assigned To => Triage Finance
2020-10-29 20:19 Mery Anelo File Added: Issue.mp4
2020-10-29 20:19 Mery Anelo Modules => Core
2020-10-29 20:19 Mery Anelo Triggers an Emergency Pack => No
2020-10-29 20:20 Mery Anelo File Added: issue-deactivate-UK.diff
2020-10-29 20:23 Mery Anelo Relationship added blocks 0039951
2020-10-29 20:27 Mery Anelo Note Added: 0124028
2020-11-03 14:26 vmromanos Status new => scheduled
2020-11-03 14:26 vmromanos Assigned To Triage Finance => vmromanos
2020-11-03 14:31 vmromanos Status scheduled => acknowledged
2020-11-03 14:58 vmromanos Status acknowledged => scheduled
2020-11-04 08:47 vmromanos Note Added: 0124141
2020-11-04 11:06 hgbot Note Added: 0124150
2020-11-04 11:40 hgbot Resolution open => fixed
2020-11-04 11:40 hgbot Status scheduled => closed
2020-11-04 11:40 hgbot Note Added: 0124155
2020-11-04 11:40 hgbot Fixed in Version => PR21Q1
2020-11-04 11:40 hgbot Note Added: 0124156


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker